Show / Hide Table of Contents

Interface ICfnConnectorProps

Properties for defining a CfnConnector.

Namespace: Amazon.CDK.AWS.Transfer
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public interface ICfnConnectorProps
Syntax (vb)
Public Interface ICfnConnectorProps
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Transfer;

             var as2Config;

             var cfnConnectorProps = new CfnConnectorProps {
                 AccessRole = "accessRole",

                 // the properties below are optional
                 As2Config = as2Config,
                 EgressConfig = new ConnectorEgressConfigProperty {
                     VpcLattice = new ConnectorVpcLatticeEgressConfigProperty {
                         ResourceConfigurationArn = "resourceConfigurationArn",

                         // the properties below are optional
                         PortNumber = 123
                     }
                 },
                 EgressType = "egressType",
                 LoggingRole = "loggingRole",
                 SecurityPolicyName = "securityPolicyName",
                 SftpConfig = new SftpConfigProperty {
                     MaxConcurrentConnections = 123,
                     TrustedHostKeys = new [] { "trustedHostKeys" },
                     UserSecretId = "userSecretId"
                 },
                 Tags = new [] { new CfnTag {
                     Key = "key",
                     Value = "value"
                 } },
                 Url = "url"
             };

Synopsis

Properties

AccessRole

Connectors are used to send files using either the AS2 or SFTP protocol.

As2Config

A structure that contains the parameters for an AS2 connector object.

EgressConfig

Current egress configuration of the connector, showing how traffic is routed to the SFTP server.

EgressType

Type of egress configuration for the connector.

LoggingRole

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that allows a connector to turn on CloudWatch logging for Amazon S3 events.

SecurityPolicyName

The text name of the security policy for the specified connector.

SftpConfig

A structure that contains the parameters for an SFTP connector object.

Tags

Key-value pairs that can be used to group and search for connectors.

Url

The URL of the partner's AS2 or SFTP endpoint.

Properties

AccessRole

Connectors are used to send files using either the AS2 or SFTP protocol.

string AccessRole { get; }
Property Value

string

Remarks

For the access role, provide the Amazon Resource Name (ARN) of the AWS Identity and Access Management role to use.

For AS2 connectors

With AS2, you can send files by calling StartFileTransfer and specifying the file paths in the request parameter, SendFilePaths . We use the file’s parent directory (for example, for --send-file-paths /bucket/dir/file.txt , parent directory is /bucket/dir/ ) to temporarily store a processed AS2 message file, store the MDN when we receive them from the partner, and write a final JSON file containing relevant metadata of the transmission. So, the AccessRole needs to provide read and write access to the parent directory of the file location used in the StartFileTransfer request. Additionally, you need to provide read and write access to the parent directory of the files that you intend to send with StartFileTransfer .

If you are using Basic authentication for your AS2 connector, the access role requires the secretsmanager:GetSecretValue permission for the secret. If the secret is encrypted using a customer-managed key instead of the AWS managed key in Secrets Manager, then the role also needs the kms:Decrypt permission for that key.

For SFTP connectors

Make sure that the access role provides read and write access to the parent directory of the file location that's used in the StartFileTransfer request. Additionally, make sure that the role provides secretsmanager:GetSecretValue permission to AWS Secrets Manager .

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-accessrole

As2Config

A structure that contains the parameters for an AS2 connector object.

object? As2Config { get; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-as2config

EgressConfig

Current egress configuration of the connector, showing how traffic is routed to the SFTP server.

object? EgressConfig { get; }
Property Value

object

Remarks

Contains VPC Lattice settings when using VPC_LATTICE egress type.

When using the VPC_LATTICE egress type, AWS Transfer Family uses a managed Service Network to simplify the resource sharing process.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-egressconfig

Type union: either IResolvable or CfnConnector.IConnectorEgressConfigProperty

EgressType

Type of egress configuration for the connector.

string? EgressType { get; }
Property Value

string

Remarks

SERVICE_MANAGED uses Transfer Family managed NAT gateways, while VPC_LATTICE routes traffic through customer VPCs using VPC Lattice.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-egresstype

LoggingRole

The Amazon Resource Name (ARN) of the AWS Identity and Access Management (IAM) role that allows a connector to turn on CloudWatch logging for Amazon S3 events.

string? LoggingRole { get; }
Property Value

string

Remarks

When set, you can view connector activity in your CloudWatch logs.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-loggingrole

SecurityPolicyName

The text name of the security policy for the specified connector.

string? SecurityPolicyName { get; }
Property Value

string

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-securitypolicyname

SftpConfig

A structure that contains the parameters for an SFTP connector object.

object? SftpConfig { get; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-sftpconfig

Type union: either IResolvable or CfnConnector.ISftpConfigProperty

Tags

Key-value pairs that can be used to group and search for connectors.

ICfnTag[]? Tags { get; }
Property Value

ICfnTag[]

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-tags

Url

The URL of the partner's AS2 or SFTP endpoint.

string? Url { get; }
Property Value

string

Remarks

When creating AS2 connectors or service-managed SFTP connectors (connectors without egress configuration), you must provide a URL to specify the remote server endpoint. For VPC Lattice type connectors, the URL must be null.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-transfer-connector.html#cfn-transfer-connector-url

Back to top Generated by DocFX